Subject: i will be trying this
From: "tom blackwell" <[email-masked]>
To: <Undisclosed-Recipient:;>
Date: Mon, 2 Feb 2009 18:08:18 -0500

Bacon Explosion: The BBQ Sausage Recipe of all Recipes
by Jason on December 23, 2008[edit]

The other day the guys from BaconToday.com contacted me in search for some barbecue bacon recipes. Of course I have plenty of great uses for bacon in a barbecue pit, but the longer I thought about it, the more I wanted to step it up a notch and clog a few arteries for those guys. Behold, BACON EXPLOSION!!! Here's what you'll need.

2 pounds thick cut bacon
2 pounds Italian sausage
1 jar of your favorite barbeque sauce
1 jar of your favorite barbeque rub

To kick off the construction of this pork medley you'll need to create a 5×5 bacon weave. If the strips you're using aren't as wide as the ones pictured, then you may need to use a few extra slices to fill out the pattern. Just make sure your weave is tight and that you end up with a nice square shape to work with.

The next step is to add some barbeque seasoning on top of your bacon weave. Being the barbeque addict that I am, I whipped up a batch of Burnt Finger BBQ's competition pork rub for this special occasion. Seeing as not everyone has the time, or the expertise, to create a tasty rub of their own, I would recommend trying Bad Byron?s Butt Rub, Rendezvous Famous Seasoning, or Steven Raichlen?s All-Purpose Rub.

Now that you're pork is well seasoned, it's time to add more pork. Take two pounds of Italian sausage and layer it directly on top of your bacon weave. Be sure to press the sausage to the outer edges of the bacon creating a patty that is the same thickness all the way across. Most grocery stores carry loose sausage, so just pick out one you like. I chose to go with a mild sausage, but spicy would work just the same. If you really want to get crazy, take a stab at making your own homemade sausage.

Next up is bacon layer number two. Take the remaining bacon slices and fry them up the same way you would for breakfast (or lunch, or dinner, or a midnight snack). If you like soft bacon, make it soft. If you like crunchy bacon, make it crunchy. If you like your bacon burnt to hell so the smoke detectors go off, then burn it to hell so the smoke detectors go off. These pieces are going to be a major part of the inner flavor of our sausage fatty, so cook them your favorite way. Personally, I like my bacon right at the point when it starts to get crispy, but hasn't quite lost all of the softness yet. Regardless of how well done you like yours, you'll need to crumble or chop the cooked strips into bite size pieces and place on top of the sausage layer. (Note-It's okay, and encouraged, to snack on these pieces while your chopping/crumbling. But keep in mind that once those bacon morsels touch the raw sausage, you'll need to resist all temptations to nibble. This can and will be difficult, but hospital trips are no fun, so stay strong.)

Since this is a barbeque recipe, we need to add another layer of barbeque flavor. Take your favorite sauce and drizzle it all over the top of the bacon pieces. Personally, I prefer to use Burnt Finger BBQ's homemade competition sauce, but if you're torn on what brand to use I recommend Cowtown, Blues Hog, and Fiorella's Jack Stack. Once you've sauced the bacon, sprinkle on some more of the barbeque seasoning you used on the bacon weave. 

Now comes the fun part. Very carefully separate the front edge of the sausage layer from the bacon weave and begin rolling backwards. You want to include all layers EXCEPT the bacon weave in your roll. Try and keep the sausage as tight as possible and be sure to release any air pockets that may have formed. Once the sausage is fully rolled up, pinch together the seams and ends to seal all of the bacon goodness inside.

At this point we can start to see the final shape of our Bacon Explosion, but we're missing one key item. To complte the constuction process, roll the sausage forward completely wrapping it in the bacon weave. Make sure it sits with the seam facing downward to help keep it all sealed up.

Sprinkle some barbeque seasoning on the outside of the bacon weave, and now this bad boy is ready for the smoker. Cook your Bacon Explosion at 225 degrees in a constant cloud of hickory smoke until your Thermapen gives an internal temperature reading of 165 degrees. Normally this will take about 1 hour for each inch of thickness, but that could vary depending on how well you maintain your fire and also how many times you open the smoker to take a peek. Mine took about 2.5 hours, which was right on target with its 2.5 inch diameter.

Now that our Bacon Explosion is fully cooked, we need to add some finishing flavors. Remember that barbecue sauce we used for inner flavor? We'll be using that same sauce to glaze the cooked bacon weave. Using a basting brush, coat the entire surface with a thin layer of sauce. Sweet sauces are loaded with sugars, so they'll give your fatty a nice glossy finish. Spicy and vinegar based sauces don't contain as much, so they won't set up as well. If you're dead set on using those sauces, just cut them with a bit of honey and you'll get the same effect.

Slice the Bacon Explosion into quarter to half inch rounds to serve. If your roll was good and tight, you should now see a nice bacon pinwheel pattern throughout the sausage. Obviously pork is best served by itself, but if you feel the need to make this meat monster into a sandwich, try placing a couple Bacon Explosion slices on a warm Pillsbury's Grands Biscuit. You'll reach pork Nirvana is no time flat!

Be sure to send us stories and photos of your Bacon Explosion experience. Who knows, you may see your ugly mug on BBQ Addicts!!!

For a Print version, see the NY Times article here

No virus found in this incoming message.
Checked by AVG - www.avg.com 
Version: 8.0.233 / Virus Database: 270.10.16/1930 - Release Date: 02/01/09 18:02:00